#include <ReefAngel_Features.h>
#include <Globals.h>
#include <RA_Wifi.h>
#include <Wire.h>
#include <OneWire.h>
#include <Time.h>
#include <DS1307RTC.h>
#include <InternalEEPROM.h>
#include <RA_NokiaLCD.h>
#include <RA_ATO.h>
#include <RA_Joystick.h>
#include <LED.h>
#include <RA_TempSensor.h>
#include <Relay.h>
#include <RA_PWM.h>
#include <Timer.h>
#include <Memory.h>
#include <InternalEEPROM.h>
#include <RA_Colors.h>
#include <RA_CustomColors.h>
#include <Salinity.h>
#include <RF.h>
#include <IO.h>
#include <ORP.h>
#include <AI.h>
#include <PH.h>
#include <WaterLevel.h>
#include <ReefAngel.h>

/*
Ports assignment:

Port1 - Standard ATO - "http://forum.reefangel.com/viewtopic.php?f=7&t=240"
Port2 - Daylight fixture - "http://www.reefangel.com/Support.Relay-function-StandardLights.ashx"
Port3 - Actinic fixture
Port4 - Moonlight fixture 
Port5 - Heater - "http://www.reefangel.com/Support.Relay-function-StandardHeater.ashx"
Port6 - Circulation Powerhead - "http://www.reefangel.com/Support.Activating-a-relay.ashx"
Port7 - Skimmer
Port8 - Return
*/

void setup()
{
  ReefAngel.Init();
  ReefAngel.FeedingModePorts = Port6Bit | Port8Bit; // Turn off Port6 and Port8 when feeding mode is activated
  ReefAngel.WaterChangePorts = Port5Bit | Port6Bit | Port7Bit | Port8Bit; // Turn off Port5, Port6, Port7 and Port8 when water change mode is activated
  ReefAngel.Relay.On(Port6); // Turn on Port 6
  ReefAngel.Relay.On(Port7); // Turn on Port 7
  ReefAngel.Relay.On(Port8); // Turn on Port 8
}

void loop()
{
  ReefAngel.StandardATO(Port1, 60); // ATO with 60 seconds timeout
  ReefAngel.StandardLights(Port2,9,30,16,30); // Lights on at 9:30am and off at 4:30pm
  ReefAngel.StandardLights(Port3,9,0,17,0); // Lights on at 9:00am and off at 5:00pm
  ReefAngel.StandardLights(Port4,17,0,9,0); // Lights on at 5:00pm and off at 9:00am
  ReefAngel.StandardHeater(Port5,770,780); // Heater on at 77.0F and off at 78.0F
  ReefAngel.ShowInterface();
}

