#include <ReefAngel_Features.h>
#include <Globals.h>
#include <RA_Wifi.h>
#include <Wire.h>
#include <OneWire.h>
#include <Time.h>
#include <DS1307RTC.h>
#include <InternalEEPROM.h>
#include <RA_NokiaLCD.h>
#include <RA_ATO.h>
#include <RA_Joystick.h>
#include <LED.h>
#include <RA_TempSensor.h>
#include <Relay.h>
#include <RA_PWM.h>
#include <Timer.h>
#include <Memory.h>
#include <InternalEEPROM.h>
#include <RA_Colors.h>
#include <RA_CustomColors.h>
#include <Salinity.h>
#include <RF.h>
#include <IO.h>
#include <ORP.h>
#include <AI.h>
#include <PH.h>
#include <WaterLevel.h>
#include <ReefAngel.h>

/*
Ports assignment:

Port1 - Calcium Doser
Port2 - Alk Doser
Port3 - Single ATO using the LowATO port - "http://forum.reefangel.com/viewtopic.php?f=7&t=240"
Port4 - Daylight fixture - "http://www.reefangel.com/Support.Relay-function-StandardLights.ashx"
Port5 - Actinic fixture
Port6 - Moonlight fixture 
Port7 - Skimmer
Port8 - Return
*/

void setup()
{
  ReefAngel.Init();
  ReefAngel.FeedingModePorts = Port8Bit; // Turn off Port8 when feeding mode is activated
  ReefAngel.WaterChangePorts = Port1Bit | Port2Bit | Port3Bit | Port7Bit | Port8Bit; // Turn off Port1, Port2, Port3, Port7 and Port8 when water change mode is activated
  ReefAngel.Relay.On(Port7); // Turn on Port 7
  ReefAngel.Relay.On(Port8); // Turn on Port 8
}

void loop()
{
  ReefAngel.DosingPumpRepeat(Port1,0,60,4); // Dose for 4 seconds every 60 minutes with 0 minutes offset
  ReefAngel.DosingPumpRepeat(Port2,5,60,4); // Dose for 4 seconds every 60 minutes with 5 minutes offset
  ReefAngel.SingleATOLow(Port3); // ATO using LowATO port
  ReefAngel.StandardLights(Port4,13,30,22,30); // Lights on at 1:30pm and off at 10:30pm
  ReefAngel.StandardLights(Port5,12,30,23,30); // Lights on at 12:30pm and off at 11:30pm
  ReefAngel.StandardLights(Port6,23,30,12,30); // Lights on at 11:30pm and off at 12:30pm
  ReefAngel.ShowInterface();
}

